org.eclipse.wst.jsdt.chromium.debug.ui.listeners

## Class LaunchTerminateListener

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.listeners.LaunchTerminateListener

    public class LaunchTerminateListener
    extends java.lang.Object

Tracking `ILaunch` termination and removing `IResourceChangeListener` specified in constructor. Once `ILaunch` is terminated, `LaunchTerminateListener` will be also removed from `DebugPlugin`

### Constructor Summary

Constructors
Constructor and Description
`LaunchTerminateListener(ILaunch launch, IResourceChangeListener... listeners)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleDebugEvents(DebugEvent[] events)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchTerminateListener

    public LaunchTerminateListener(ILaunch launch,
                                   IResourceChangeListener... listeners)

### Method Detail

#### handleDebugEvents

    public void handleDebugEvents(DebugEvent[] events)